Loading...
Searching...
No Matches
Catch::AssertionInfo Struct Reference

`#include <catch_amalgamated.hpp>`

Collaboration diagram for Catch::AssertionInfo:
[legend]

## Public Attributes

StringRef | macroName
SourceLineInfo | lineInfo
StringRef | capturedExpression
ResultDisposition::Flags | resultDisposition

## Member Data Documentation

## capturedExpression

StringRef Catch::AssertionInfo::capturedExpression

## lineInfo

SourceLineInfo Catch::AssertionInfo::lineInfo

## macroName

StringRef Catch::AssertionInfo::macroName

## resultDisposition

ResultDisposition::Flags Catch::AssertionInfo::resultDisposition

The documentation for this struct was generated from the following file:

- tests/vendor/catch_amalgamated.hpp